﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ComboBoxAutoComplete
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<Customer> Customers
        {
            get
            {
                return GetCustomers();
            }
        }

        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;
        }

        public List<Customer> GetCustomers()
        {
            List<Customer> customers = new List<Customer>();
            customers.Add(new Customer() { Code = 1, Name = "まらくみ" }); // john (HIRAGANA)
            customers.Add(new Customer() { Code = 2, Name = "もにのい" }); // luke (HIRAGANA)
            customers.Add(new Customer() { Code = 3, Name = "まちもいと" }); // james (HIRAGANA)
            customers.Add(new Customer() { Code = 4, Name = "とにもらみ" }); // simon (HIRAGANA)
            customers.Add(new Customer() { Code = 5, Name = "Jack" });
            customers.Add(new Customer() { Code = 6, Name = "Robert" });
            customers.Add(new Customer() { Code = 7, Name = "Adam" });
            customers.Add(new Customer() { Code = 8, Name = "Stephen" });
            customers.Add(new Customer() { Code = 9, Name = "James" });
            customers.Add(new Customer() { Code = 10, Name = "Boris" });
            customers.Add(new Customer() { Code = 11, Name = "まちもいと" }); // james (HIRAGANA)
            customers.Add(new Customer() { Code = 12, Name = "まちもいと" }); // james (HIRAGANA)
            return customers;
        }
    }

    public class Customer
    {
        public int Code { get; set; }
        public string Name { get; set; }

        public override string ToString()
        {
            return Name;
        }
    }
}
